diff web/upload.sh @ 1712:08e1522af78e

added project web page under version control
author nadvornik
date Fri, 31 Jul 2009 20:31:56 +0000
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/web/upload.sh	Fri Jul 31 20:31:56 2009 +0000
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+if [ "${PWD##*/}" != "web" ] ; then
+  echo $0 must be called from directory \"web\"
+  exit 1;
+fi
+
+# later we can include user manual 
+# ln -sf ../doc
+
+echo -n "SF username: "
+read username
+
+rsync -avP -C --copy-links --exclude "*.sh" --exclude "Makefile*" -e ssh ./ $username,geeqie@web.sourceforge.net:htdocs/